Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.multi
Class MultiTableUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TableUI
                  |
                  +--javax.swing.plaf.multi.MultiTableUI

public class MultiTableUI
extends TableUI

MultiTableUI implementation

This file was automatically generated by AutoMulti.

Field Summary
`protected Vector` | `uis` The Vector containing the real UI's.

Constructor Summary
`MultiTableUI()`

Method Summary
`boolean` | `contains(JComponent a, int b, int c)` Call contains on each UI handled by this MultiUI.
`static ComponentUI` | `createUI(JComponent a)` Return a multiplexing UI instance if any of the auxiliary LookAndFeels support this UI.
`Accessible` | `getAccessibleChild(JComponent a, int b)` Call getAccessibleChild on each UI handled by this MultiUI.
`int` | `getAccessibleChildrenCount(JComponent a)` Call getAccessibleChildrenCount on each UI handled by this MultiUI.
`Dimension` | `getMaximumSize(JComponent a)` Call getMaximumSize on each UI handled by this MultiUI.
`Dimension` | `getMinimumSize(JComponent a)` Call getMinimumSize on each UI handled by this MultiUI.
`Dimension` | `getPreferredSize(JComponent a)` Call getPreferredSize on each UI handled by this MultiUI.
`ComponentUI[]` | `getUIs()` Return the list of UI's associated with this multiplexing UI.
`void` | `installUI(JComponent a)` Call installUI on each UI handled by this MultiUI.
`void` | `paint(Graphics a, JComponent b)` Call paint on each UI handled by this MultiUI.
`void` | `uninstallUI(JComponent a)` Call uninstallUI on each UI handled by this MultiUI.
`void` | `update(Graphics a, JComponent b)` Call update on each UI handled by this MultiUI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uis

    protected Vector uis

  The Vector containing the real UI's. This is populated in the call to createUI, and can be obtained by calling getUIs. The first element is guaranteed to the real UI obtained from the default look and feel.

Constructor Detail

### MultiTableUI

    public MultiTableUI()

Method Detail

### getUIs

    public ComponentUI[] getUIs()

  Return the list of UI's associated with this multiplexing UI. This allows processing of the UI's by an application aware of multiplexing UI's on components.

### installUI

    public void installUI(JComponent a)

  Call installUI on each UI handled by this MultiUI.
  Overrides:
    `installUI` in class `ComponentUI`

### uninstallUI

    public void uninstallUI(JComponent a)

  Call uninstallUI on each UI handled by this MultiUI.
  Overrides:
    `uninstallUI` in class `ComponentUI`

### paint

    public void paint(Graphics a,
                      JComponent b)

  Call paint on each UI handled by this MultiUI.
  Overrides:
    `paint` in class `ComponentUI`

### update

    public void update(Graphics a,
                       JComponent b)

  Call update on each UI handled by this MultiUI.
  Overrides:
    `update` in class `ComponentUI`

### getPreferredSize

    public Dimension getPreferredSize(JComponent a)

  Call getPreferredSize on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    `getPreferredSize` in class `ComponentUI`

### getMinimumSize

    public Dimension getMinimumSize(JComponent a)

  Call getMinimumSize on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    `getMinimumSize` in class `ComponentUI`

### getMaximumSize

    public Dimension getMaximumSize(JComponent a)

  Call getMaximumSize on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    `getMaximumSize` in class `ComponentUI`

### contains

    public boolean contains(JComponent a,
                            int b,
                            int c)

  Call contains on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    `contains` in class `ComponentUI`

### createUI

    public static ComponentUI createUI(JComponent a)

  Return a multiplexing UI instance if any of the auxiliary LookAndFeels support this UI. Otherwise, just return a UI obtained using the normal methods.

### getAccessibleChildrenCount

    public int getAccessibleChildrenCount(JComponent a)

  Call getAccessibleChildrenCount on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    `getAccessibleChildrenCount` in class `ComponentUI`
  Following copied from class: `javax.swing.plaf.ComponentUI`
  Returns:
    the number of accessible children in the object.
  See Also:
    `ComponentUI.getAccessibleChild(javax.swing.JComponent, int)`

### getAccessibleChild

    public Accessible getAccessibleChild(JComponent a,
                                         int b)

  Call getAccessibleChild on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    `getAccessibleChild` in class `ComponentUI`
  Following copied from class: `javax.swing.plaf.ComponentUI`
  Parameters:
    `i` - zero-based index of child
  Returns:
    the nth Accessible child of the object
  See Also:
    `ComponentUI.getAccessibleChildrenCount(javax.swing.JComponent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.